audio/gst-plugins1-vorbis - The NetBSD Packages Collection

Open source multimedia framework - Vorbis audio plugin

GStreamer is a library that allows the construction of graphs of
media-handling components, ranging from simple mp3 playback to complex
audio (mixing) and video (non-linear editing) processing.

Applications can take advantage of advances in codec and filter technology
transparently.  Developers can add new codecs and filters by writing a
simple plugin with a clean, generic interface.

This package provides the Ogg Vorbis audio plugin for GStreamer.

Build dependencies

pkgtools/cwrappers devel/meson lang/python39 devel/glib2-tools devel/pkgconf

Runtime dependencies

textproc/iso-codes multimedia/gstreamer1 multimedia/gst-plugins1-base audio/libvorbis multimedia/gstreamer1 multimedia/gst-plugins1-base audio/libvorbis

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0i386gst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0i386gst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0x86_64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 8.0x86_64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0aarch64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0aarch64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0aarch64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0alphagst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0alphagst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0alphagst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv6hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv6hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv6hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0earmv7hfgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0i386gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0i386gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0i386gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0m68kgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0mips64ebgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0mips64ebgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0mips64ebgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0mips64ebgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0mips64ebgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0powerpcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sh3elgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sh3elgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sh3elgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sh3elgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparc64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparc64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparc64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0sparcgst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0x86_64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0x86_64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0x86_64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0x86_64gst-plugins1-vorbis-1.16.2.tgz
NetBSD 9.0x86_64gst-plugins1-vorbis-1.16.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.